Page MenuHomePhabricator

wikibase:apiOrdinal resets for each page of results
Closed, ResolvedPublic

Description

If there is more than one page of results when doing a query with the MediaWiki API, wikibase:apiOrdinal resets for each page.

This query, for example, returns 10 rows with ?num set to 0:

SELECT * WHERE {
  SERVICE wikibase:mwapi {
    bd:serviceParam wikibase:api "Search" .
    bd:serviceParam wikibase:endpoint "www.wikidata.org" .
    bd:serviceParam mwapi:srsearch "test" .
    ?title wikibase:apiOutput mwapi:title .
    ?num wikibase:apiOrdinal true .
  }
} order by ?num limit 10

Event Timeline

Nikki created this task.Jun 15 2018, 10:05 PM
Restricted Application added projects: Wikidata, Discovery. · View Herald TranscriptJun 15 2018, 10:05 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Smalyshev triaged this task as Normal priority.Jun 19 2018, 12:15 AM
Smalyshev moved this task from Backlog to Doing on the User-Smalyshev board.

Change 440984 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[wikidata/query/rdf@master] Fix apiOrder not to reset on each chunk

https://gerrit.wikimedia.org/r/440984

Change 440984 merged by jenkins-bot:
[wikidata/query/rdf@master] Fix apiOrder not to reset on each chunk

https://gerrit.wikimedia.org/r/440984

Smalyshev removed a project: User-Smalyshev.
Smalyshev closed this task as Resolved.Jun 25 2018, 6:20 PM
Vvjjkkii renamed this task from wikibase:apiOrdinal resets for each page of results to btaaaaaaaa.Jul 1 2018, 1:03 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Smalyshev as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii edited subscribers, added: Smalyshev; removed: gerritbot, Aklapper.
CommunityTechBot renamed this task from btaaaaaaaa to wikibase:apiOrdinal resets for each page of results.Jul 2 2018, 5:29 AM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Smalyshev.
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot edited subscribers, added: gerritbot, Aklapper; removed: Smalyshev.